%define majver %(echo %version | cut -d. -f1)
Name:          sysprof
Version:       47.0
Release:       1mamba
Summary:       A sampling profiler that uses a kernel module to generate stacktraces
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/
Source:        http://ftp.acc.umu.se/pub/GNOME/sources/sysprof/%{majver}/sysprof-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libadwaita-devel
BuildRequires: libcairo-devel
BuildRequires: libdex-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgraphene-devel
BuildRequires: libgtk-devel
BuildRequires: libjson-glib-devel
BuildRequires: libpanel-devel
BuildRequires: libpango-devel
BuildRequires: libpolkit-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsystemd-devel
BuildRequires: libunwind-devel
## AUTOBUILDREQ-END
BuildRequires: libdex-devel
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Sysprof is a sampling profiler that uses a kernel module to generate stacktraces which are then interpreted by the userspace program "sysprof".

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} --with-gnome || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/sysprof*
%{_datadir}/applications/org.gnome.Sysprof.desktop
%{_datadir}/metainfo/org.gnome.Sysprof.appdata.xml
%{_unitdir}/sysprof3.service
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof*.xml
%{_datadir}/dbus-1/system-services/org.gnome.Sysprof*.service
%{_datadir}/dbus-1/system.d/org.gnome.Sysprof*.conf
%{_datadir}/mime/packages/sysprof-mime.xml
%{_datadir}/polkit-1/actions/org.gnome.sysprof3.policy
%{_datadir}/help/C/sysprof
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Sysprof.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Sysprof-symbolic.svg
%{_datadir}/icons/hicolor/scalable/actions/sysprof-*.svg

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libsysprof-6.so.*
%{_libdir}/libsysprof-memory-6.so
%{_libdir}/libsysprof-speedtrack-6.so
%{_libdir}/libsysprof-tracer-6.so
%{_libexecdir}/sysprofd
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/sysprof-6
%{_includedir}/sysprof-6/*
%{_libdir}/libsysprof-6.so
%{_libdir}/libsysprof-capture-4.a
%{_libdir}/pkgconfig/sysprof-capture-4.pc
%{_libdir}/pkgconfig/sysprof-6.pc
#%doc NEWS README.md

%changelog
* Wed Sep 18 2024 Automatic Build System <autodist@openmamba.org> 47.0-1mamba
- automatic version update by autodist

* Mon Mar 18 2024 Automatic Build System <autodist@openmamba.org> 46.0-1mamba
- automatic version update by autodist

* Tue Mar 12 2024 Automatic Build System <autodist@openmamba.org> 45.2-1mamba
- automatic version update by autodist

* Fri Oct 06 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 45.0-1mamba
- update to 45.0

* Sat Mar 18 2023 Automatic Build System <autodist@mambasoft.it> 3.48.0-1mamba
- automatic version update by autodist

* Sat Nov 12 2022 Automatic Build System <autodist@mambasoft.it> 3.46.0-1mamba
- automatic version update by autodist

* Sat Mar 19 2022 Automatic Build System <autodist@mambasoft.it> 3.44.0-1mamba
- automatic version update by autodist

* Sat Nov 06 2021 Automatic Build System <autodist@mambasoft.it> 3.42.1-1mamba
- automatic version update by autodist

* Thu Sep 23 2021 Automatic Build System <autodist@mambasoft.it> 3.42.0-1mamba
- automatic version update by autodist

* Fri Apr 23 2021 Automatic Build System <autodist@mambasoft.it> 3.40.1-1mamba
- automatic version update by autodist

* Sat Jan 30 2021 Automatic Build System <autodist@mambasoft.it> 3.38.1-1mamba
- automatic version update by autodist

* Wed Mar 18 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.36.0-1mamba
- update to 3.36.0

* Fri Nov 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.34.1-2mamba
- libsysprof: require sysprof

* Thu Oct 31 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.34.1-1mamba
- package created using the webbuild interface
